\documentclass[12pt,notitlepage]{report}
%\pagestyle{headings}
\pagestyle{plain}

\frenchspacing % aktivuje použití některých českých typografických pravidel
\usepackage{a4wide} % nastavuje standardní evropský formát stránek A4

%\usepackage[left=4cm, right=2.5cm, top=3cm, bottom=3cm]{geometry} % nastavení dané velikosti okrajů
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
%\usepackage{index} % nutno použít v případě tvorby rejstříku balíčkem makeindex
%\usepackage{fancybox} % umožňuje pokročilé rámečkování :-)
\usepackage{wrapfig}
\usepackage[dvips]{graphicx} % nezbytné pro standardní vkládání obrázků do dokumentu
\usepackage{url}

\begin{document}
\begin{titlepage}
\begin{center}
\ \\

\vspace{15mm}

{\Large\bf Obr Documentation}

\vspace{10mm}

{\Large Josef Moudřík}\\
\vspace{5mm}
{\Large\bf Obr - OpenGL based image viewer}\\ 
\end{center}
\vspace{15mm}

\begin{center}
2009 
\end{center}
\end{titlepage}

\setcounter{page}{2} % nastavení číslování stránek

\tableofcontents
\chapter{User Documentation}

\section{Introduction}

Obr is an image viewer for Linux based on OpenGL, which was especially
designed for \textbf{viewing photos}.  It has \textbf{vi-user-friendly} movement and
\textbf{fast image turning}.  Thanks to the fast Imlib2  library, it supports
\textbf{variety of image formats} and \textbf{transparent images} with grace.
Navigation is made simple, using a \textbf{thumbnail} view.
On top of the image, Obr can display \textbf{Unicode description} and another
smaller image, such as \textbf{histogram}.

Apart from this, obr has a simple sqlite-based \textbf{album management} system, that
generates \textbf{thumbnails} and \textbf{histograms} automatically.

\section{Installation}
To be able to run obr and its album manager obr\_album, you need to get a number of dependencies. These
include Imlib2, OpenGl (with glut), Boost, Freetype, FTgl, Sqlite and ImageMagick. On a debian-like system (Debian, Ubuntu)
you may run (as root, or with sudo)
\begin{verbatim}
 # apt-get install libimlib2-dev libglut3-dev libboost-thread1.40-dev libfreetype6-dev libftgl-dev sqlite imagemagick
\end{verbatim}
Obr has an interactive installer, so to install, you only need to unzip the archive and run the installer
\begin{verbatim}
 $ tar xjvf obr.tar.bz2
 $ cd obr
 $ ./install.sh
\end{verbatim}
This will ask you to modify your PATH. Now you may run
\begin{verbatim}
 $ obr my_granny.jpg
\end{verbatim}

\section{Usage}
\subsection{Invocation}
Obr can be used like shown before, multiple files are supported, e.g.
\begin{verbatim}
 $ obr my_granny.jpg my_dad.png my_mum.png my_girfriend*
\end{verbatim}
To see the help, type the following
\begin{verbatim}
 $ obr --help
\end{verbatim}

\subsection{Navigation}
Obr image viewer has two basic views, one viewing images, called Image view and second showing thumbnails (Thumbnail view) allowing for fast
movement. You may change between the two by pressing \textbf{Space} or \textbf{t}.

To navigate around, you may use either \textbf{Arrows} or \textbf{vi-like} motion, using keys \textbf{h}, \textbf{j}, \textbf{k} or \textbf{l}.
Which stand for the left, down, up and right arrow respectively.

\paragraph{Image view}
In image view, navigation keys either move around to the next or previous photo (if moving to the left or to the right), or turning the
photos if moving up or down.

You may change between different levels of information showed by pressing \textbf{i}. The information showed, such as text
(either if present), histogram (if present), position, etc, is toggled circularly.

\paragraph{Thumbnail view}
In thumbnail view you can select image and change back to Image view. To navigate, use standart arrows or vi-like motion, plus \textbf{Home}
and \textbf{End} keys, moving you to the first or last image (guess what key does what).

\subsection{Photo Album}
Obr comes with a simple photo managing tool, that can be invoked like this:
\begin{verbatim}
 $ obr_album
\end{verbatim}
Obr photo album can manage albums, photos and create thumbnails and histograms for you.
A sample session might look like this:
\begin{verbatim}
 $ obr_album
..
obr album> add_to_collection -a holidays09 /media/data/photos/hol09
...
obr album> list_photos -a holiday09 | show
\end{verbatim}
The first command \textbf{add\_to\_collection} simply adds photos in the supplied directory to the collection, and assigns them to album
\textbf{holidays09}, which is interactively created. Moreover, \textbf{obr\_album} creates histograms and thumbnails and stores them in folders
\begin{verbatim}
/media/data/photos/hol09/.thumbnails
/media/data/photos/hol09/.histograms
\end{verbatim}
In the case you do not like those directories, you can change them. To see how precisely, see the help:
\begin{verbatim}
obr album> help add_to_collection
\end{verbatim}
or by running the help interactively by typing just a simple:
\begin{verbatim}
obr album> help
\end{verbatim}

The second command of our simple session selects all photos from the album \textbf{holiday09} and shows them using Obr viewer as described
before.

If you ever wanted to get rid of the photos, you may remove (just from the collection) them like this:
\begin{verbatim}
obr album> list_photos -a holiday09 | delete
\end{verbatim}
Note the similarity between this command and command for showing photos.

To see further possibilities, consult \textbf{obr\_album} help command.

\section{Licensing information}
 Obr is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; version 3 of the License.

 Obr is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program.  If not, see \url{http://www.gnu.org/licenses/}.
\end{document}
